import { shallow } from "enzyme";
import React from "react";
import Alert from "./alert.component";

describe("Alert component", () => {
  let wrapper;
  beforeEach(() => {
    const mockProps = {
      type: "error",
      message: "Test error message.",
    };

    wrapper = shallow(<Alert {...mockProps} />);
  });

  it("should render Alert component", () => {
    expect(wrapper).toMatchSnapshot();
  });
});
